"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPrerequisites = void 0;
const web3_js_1 = require("@solana/web3.js");
const amman_client_1 = require("@metaplex-foundation/amman-client");
const utils_1 = require("../utils");
const src_1 = require("../../src");
const createPrerequisites = async () => {
    const payer = web3_js_1.Keypair.generate();
    const connection = new web3_js_1.Connection(utils_1.connectionURL, 'confirmed');
    const amman = await amman_client_1.Amman.instance({ errorResolver: src_1.cusper });
    await amman.airdrop(connection, payer.publicKey, 30);
    return {
        payer,
        connection,
        transactionHandler: amman.payerTransactionHandler(connection, payer),
    };
};
exports.createPrerequisites = createPrerequisites;
//# sourceMappingURL=createPrerequisites.js.map