"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyCollection = void 0;
const mpl_token_metadata_1 = require("@metaplex-foundation/mpl-token-metadata");
const assert_1 = require("assert");
const utils_1 = require("../utils");
async function verifyCollection({ transactionHandler, connection, payer, ...params }) {
    const verifyCollectionInstruction = (0, mpl_token_metadata_1.createVerifyCollectionInstruction)({
        payer: payer.publicKey,
        ...params,
    });
    const verifyCollectionTx = await (0, utils_1.createAndSignTransaction)(connection, payer, [verifyCollectionInstruction], [payer]);
    await transactionHandler.sendAndConfirmTransaction(verifyCollectionTx, []).assertSuccess(assert_1.strict);
}
exports.verifyCollection = verifyCollection;
//# sourceMappingURL=verifyCollection.js.map